]> arthur.barton.de Git - bup.git/blobdiff - t/lib.sh
Adjust resolve-parent for python 3 and enable test-save-*
[bup.git] / t / lib.sh
index 84b942137f882aaf138c47e05d867c5a8c7f113e..4d67341e5330c7e725ebb50915a7128a5e54c173 100644 (file)
--- a/t/lib.sh
+++ b/t/lib.sh
@@ -1,18 +1,23 @@
 # Assumes shell is Bash, and pipefail is set.
 
-bup_t_lib_script_home=$(cd "$(dirname $0)" && pwd)
+bup_t_lib_script_home=$(cd "$(dirname $0)" && pwd) || exit $?
+
+bup-python()
+{
+    "$bup_t_lib_script_home/../cmd/bup-python" "$@"
+}
 
 force-delete()
 {
     "$bup_t_lib_script_home/force-delete" "$@"
 }
 
-realpath()
+resolve-parent()
 {
     test "$#" -eq 1 || return $?
     echo "$1" | \
-        PYTHONPATH="$bup_t_lib_script_home/../lib" python -c \
-        "import sys, bup.helpers; print bup.helpers.realpath(sys.stdin.readline())" \
+        PYTHONPATH="$bup_t_lib_script_home/../lib" bup-python -c \
+        "import sys, bup.helpers; print(bup.helpers.resolve_parent(sys.stdin.readline()))" \
         || return $?
 }